package com.kamco.cd.kamcoback.inference.dto;

public record WriteCnt(int shp, int shx, int dbf, int prj, int geojson) {

  public static WriteCnt zero() {
    return new WriteCnt(0, 0, 0, 0, 0);
  }

  public WriteCnt plus(WriteCnt o) {
    return new WriteCnt(
        this.shp + o.shp,
        this.shx + o.shx,
        this.dbf + o.dbf,
        this.prj + o.prj,
        this.geojson + o.geojson);
  }
}
